> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Get all organization providers

GET https://api.taigabilling.com/api/organization-providers/v3

Reference: https://docs.taigabilling.com/api-reference/organization-providers-v-3/organization-providers-v-3-get-multi

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Query parameters

- `limit` (integer, optional) — Limit the number of results returned. Defaults to 100.
- `search_term` (string, optional) — Filter to a name or a part of a name.
- `npi` (string, optional) — Filter to a specific NPI.
- `is_rendering` (boolean, optional) — Filter to only rendering providers.
- `is_billing` (boolean, optional) — Filter to only billing providers.
- `organization_provider_ids` (list of string, optional) — Filter to the provided organization provider IDs.
- `page_token` (string, optional) — The page token to continue paging through a previous request.
- `sort` (enum, optional) — Defaults to PROVIDER_NAME_ASC.
  - Allowed values: `provider_name:asc`, `provider_name:desc`, `npi:asc`, `npi:desc`

## Response

### 200

- `items` (list of organization-providersv3OrganizationProviderV2, required)
- `next_page_token` (string, optional, nullable)
- `prev_page_token` (string, optional, nullable)

## Types

### organization-providersv3OrganizationProviderV2

- `npi` (string, required) — The NPI of the provider. This must be all digits [0-9] and exactly 10 characters long.
- `is_rendering` (boolean, required) — Whether the provider can be used to render services.
- `is_billing` (boolean, required) — Whether the provider can be used to bill services.
- `provider_type` (enum, required) — Whether the provider is an individual (NPPES Type 1) or organization (NPPES Type 2) provider.
  - Allowed values: `INDIVIDUAL`, `ORGANIZATION`
- `license_type` (enum, required) — The type of license that the provider holds.
  - Allowed values: `MD`, `NP`, `PA`, `LMFT`, `LCPC`, `LCSW`, `PMHNP`, `FNP`, `LPCC`, `DO`, `RD`, `SLP`, `APRN`, `LPC`, `PHD`, `PSYD`, `LMSW`, `LMHC`, `OTHER_MASTERS`, `BCBA`, `UNKNOWN`, `RPH`, `PHT`, `LAC`, `LMT`, `DC`, `ND`, `MA`, `PT`, `IBCLC`, `RN`, `DPT`, `LCMHC`, `CNM`, `RNFA`, `ACSW`, `APC`, `BCABA`, `BHA`, `OD`, `DPM`, `DA`, `DDS`, `DEH`, `DMD`, `PTA`, `LCADC`, `LCAT`, `LCMHCS`, `LCMHCA`, `LCSWA`, `LICSW`, `LISW`, `LMFTS`, `LMFTA`, `LPCI`, `LSCSW`, `MHCA`, `MHT`, `RBT`, `RCSWI`, `RHMCI`, `LPN`, `OTD`, `OMS`, `MFTA`, `APCC`, `DNP`, `AGNPBC`, `ANP`, `FNPPP`, `LCSWR`, `ALC`, `RMFTI`, `LAMFT`, `LPCA`, `LSWI`, `CSW`, `CPC`, `LGMFT`, `LLPC`, `PLPC`, `PLMFT`, `LMHCA`, `CIT`, `CT`, `MFT`, `LSW`, `PLMHP`, `PCMSW`, `LMHP`, `OTR/L`, `RPA`, `COTA`, `CRNP`, `SLP-CF`, `NP-C`, `PA-C`, `AMFT`, `CDN`, `CGC`, `CNS`, `MDPHD`, `AuD`, `ATC`, `LAT`, `OTA`, `LSSP`, `SLPA`, `EdD`, `SWT`, `IMFT`
- `organization_provider_id` (string, required) — Auto-generated ID set on creation.
- `qualifications` (list of Identifier, required) — Qualification given to a provider (PTAN, Medicaid Provider Id etc.).
- `first_name` (string, optional, nullable) — The first name of the provider, if the provider is an individual.
- `last_name` (string, optional, nullable) — The last name of the provider, if the provider is an individual.
- `organization_name` (string, optional, nullable) — The name of the provider, if the provider is an organization.
- `tax_id` (string, optional, nullable) — If the provider has a contract with insurance, this must be the same tax ID given to the payer on an IRS W-9 form completed during contracting.
- `taxonomy_code` (string, optional, nullable) — A code designating classification and specialization.
- `addresses` (list of organization-providersv2OrganizationProviderAddress, optional, nullable) — The addresses associated with this provider.
- `employment_start_date` (date, optional, nullable) — The employment start date for the provider.
- `employment_termination_date` (date, optional, nullable) — The employment termination date for the provider.

### Identifier

- `identifier_code` (enum, required)
  - Allowed values: `MCR`, `MCD`
- `identifier_id` (string, required)
- `identifier_value` (IdentifierValue, required)
- `period` (DateRangeOptionalEnd, optional, nullable)

### organization-providersv2OrganizationProviderAddress

- `address` (StreetAddressLongZip, required) — The address of the provider
- `address_type` (enum, required) — The address type of the provider
  - Allowed values: `DEFAULT`

### IdentifierValue

- IdentifierValue0
- IdentifierValue1

### DateRangeOptionalEnd

- `start_date` (string, required) — ISO 8601 date; formatted YYYY-MM-DD (i.e. 2012-02-01)
- `end_date` (string, optional, nullable) — ISO 8601 date; formatted YYYY-MM-DD (i.e. 2012-02-01)

### StreetAddressLongZip

- `address1` (string, required)
- `city` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `zip_code` (string, required) — 5-digit zip code
- `zip_plus_four_code` (string, required) — 4-digit zip add-on code https://en.wikipedia.org/wiki/ZIP_Code#ZIP+4
- `address2` (string, optional, nullable)

### IdentifierValue0

- `provider_number` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `type` (enum, required)
  - Allowed values: `medicare_provider_identifier`
- `organization_service_facility_id` (string, optional, nullable) — When set, this identifier applies only to the given service facility.

### IdentifierValue1

- `provider_number` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `type` (enum, required)
  - Allowed values: `medicaid_provider_identifier`
- `organization_service_facility_id` (string, optional, nullable) — When set, this identifier applies only to the given service facility.

## Examples

**Response**

```json
{
  "items": [
    {
      "npi": "1234567890",
      "is_rendering": true,
      "is_billing": true,
      "provider_type": "INDIVIDUAL",
      "license_type": "MD",
      "organization_provider_id": "965A563A-0285-4910-9569-E3739C0F6EAB",
      "qualifications": [
        {
          "identifier_code": "MCR",
          "identifier_id": "123e4567-e89b-12d3-a456-426614174000",
          "identifier_value": {
            "provider_number": "1234567890",
            "state": "CA",
            "type": "medicare_provider_identifier"
          }
        }
      ],
      "first_name": "John",
      "last_name": "Doe",
      "organization_name": "Acme Medical",
      "tax_id": "123456789",
      "taxonomy_code": "1234567890",
      "employment_start_date": "2020-10-07",
      "employment_termination_date": "2021-10-07"
    }
  ]
}
```

**SDK Code**

```python Example1
import requests

url = "https://api.taigabilling.com/api/organization-providers/v3"

querystring = {"is_billing":"true","is_rendering":"true","limit":"100","npi":"1234567890","page_token":"eyJ0b2tlbiI6IjEiLCJwYWdlX3Rva2VuIjoiMiJ9","search_term":"john","sort":"provider_name:asc"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```